Bug 624865 - Review Request: minion - Fast, Scalable Constraint Solving
Summary: Review Request: minion - Fast, Scalable Constraint Solving
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-18 00:25 UTC by Lameire Alexis
Modified: 2010-09-11 03:44 UTC (History)
7 users (show)

Fixed In Version: minion-0.10-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-30 16:57:55 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lameire Alexis 2010-08-18 00:25:25 UTC
Spec URL: http://pikachu.2014.free.fr/public/alexises/packaging/minion/minion.spec

SRPM URL: http://pikachu.2014.free.fr/public/alexises/packaging/minion/minion-0.10-1.fc13.src.rpm

Description: 
MINION is a new constraint solver, which is very fast and scales
well as problem size increases. Empirical results on standard
benchmarks show orders of magnitude performance gains over
state-of-the-art constraint toolkits. These gains increase with
problem size --- MINION delivers scalable constraint solving.


rpmlint outputs :

minion.i686: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
--- false positive
minion.i686: W: no-manual-page-for-binary minion
--- false positive : no manpage provided
minion-examples.noarch: W: no-documentation
--- false positive : doc. already present on minion-doc package
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/SportsSchedule/MinionSportsInstanceGenerator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/SAT_pigeon/pigeon_gen.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Solitaire/solitaire-solver.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Graceful/GracefulMinionGenerator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/PrimeQueens/MinionPrimeQueenInstanceGenerator.h
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Golomb/GolombTable.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/indicator/indicator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/SportsSchedule/MinionSportsInstanceGenerator.h
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Steelmill/steelmill-solver.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/graph_sym.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/PrimeQueens/MinionPrimeQueenInstanceGenerator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Golomb/GolombMinionGenerator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Langford/langford.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/alternating_gen.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/InstanceHelp.h
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Bibd/MinionBIBDInstanceGenerator.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/nqueens-JFP/nqueensgen.cpp
minion-examples.noarch: W: devel-file-in-non-devel-package /usr/share/minion/examples/generators/Bibd/MinionBIBDInstanceGenerator.h
---- false positive : this package provides example codes as defined by upstream
4 packages and 0 specfiles checked; 0 errors, 21 warnings.

Thanks to Minion developers for their helpful help on this package.

Comment 1 Othman Madjoudj 2010-08-18 00:39:22 UTC
IMHO, the examples should be moved to "doc", this will helps to get ride of warnings

also it seems that the links are down.

Comment 2 Susi Lehtola 2010-08-18 11:41:57 UTC
examples needs to own
 %{_datadir}/%{name}/
as it's not owned by any other package.

However, I don't see the point of using %{_datadir} for the examples - IMHO they should go in %{_docdir}.

Comment 3 Lameire Alexis 2010-08-19 00:27:13 UTC
Thanks for all your comments, here is a new version based on them:

SPEC url: http://pikachu.2014.free.fr/public/alexises/packaging/minion/0.10-2/minion.spec
SRPM url: http://pikachu.2014.free.fr/public/alexises/packaging/minion/0.10-2/minion-0.10-2.fc13.src.rpm

I finally suppressed the -doc subpackage since it contained only one PDF file. I also fixed some rpmlint issues appeared after moving the example files in %{_docdir}.

rpmlint outputs (real false positives this time):

minion.src: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
minion.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
minion.x86_64: W: no-manual-page-for-binary minion
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 4 Mamoru TASAKA 2010-08-23 18:41:03 UTC
Well,

- It seems that files under nauty24b7/ directory is licensed under
  the license shown in ./nauty24b7/nauty-h.in :
--------------------------------------------------------------------
*   Copyright (1984-2007) Brendan McKay.  All rights reserved.  Permission   *
*   is hereby given for use and/or distribution with the exception of        *
*   sale for profit or application with nontrivial military significance.    *
*   You must not remove this copyright notice, and you must document any     *
*   changes that you make to this program.                                   *
*   This software is subject to this copyright only, irrespective of         *
*   any copyright attached to any package of which this is a part.           *
*                                                                            *
*   This program is only provided "as is".  No responsibility will be taken  *
*   by the author, his employer or his pet rabbit* for any misfortune which  *
*   befalls you because of its use.  I don't think it will delete all your   *
*   files, burn down your computer room or turn your children against you,   *
*   but if it does: stiff cheddar.  On the other hand, I very much welcome   *
*   bug reports, or at least I would if there were any bugs.                 *
*                                                       * RIP, 1989          *
--------------------------------------------------------------------
  , which is also shown on http://cs.anu.edu.au/~bdm/nauty/
  I think "with the exception of sale for profit" part is clearly
  non-free. Once blocking FE-Legal.

Comment 5 Mamoru TASAKA 2010-08-23 19:32:24 UTC
(Removing NEEDSPONSOR)

Comment 6 Tom "spot" Callaway 2010-08-23 21:16:02 UTC
Yep. Mamoru is right, that license is non-free. Any chance that Brendan McKay is willing or able to relicense?

Comment 7 Lameire Alexis 2010-08-24 12:12:35 UTC
I have just sent a mail to the minion developers, and they answered quite quickly, as usual:
   https://mail.cs.st-andrews.ac.uk/pipermail/mug/2010-August/000065.html

So I can safely disable the use of nauty since it is not used actually. In this case, should I clean the sources by removing nauty when making my SRPM?

Comment 8 Tom "spot" Callaway 2010-08-24 12:37:50 UTC
You'll need to clean the sources, because the license restricts distribution.

Comment 9 Lameire Alexis 2010-08-24 16:53:26 UTC
Thanks Tom for your advice. I have corrected the problem with nauty: here is the new release:
SPEC : http://alexises.fedorapeople.org/minion/0.10-3/minion.spec
SRCRPM : http://alexises.fedorapeople.org/minion/0.10-3/minion-0.10-3.fc13.src.rpm
Koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=2421912

In this release :
* Clean script to remove the nauty library code
* New tarball generated by the clean script
* disabled the nauty build option.

If it OK like this, I will remove the FE-legal blocker.

Comment 10 Tom "spot" Callaway 2010-08-24 18:28:29 UTC
Looks fine. Lifting FE-Legal. Thanks Lameire.

Comment 11 Mamoru TASAKA 2010-08-25 19:28:10 UTC
Okay.

- Please change the permission of "minion-generate-tarball.sh" in
  srpm to 0644.

-----------------------------------------------------------
    This package (minion) is APPROVED by mtasaka
-----------------------------------------------------------

and thans to all people for pre-reviewing this package.

Comment 12 Lameire Alexis 2010-08-25 21:18:39 UTC
New Package SCM Request
=======================
Package Name: minion
Short Description: Fast, Scalable Constraint Solving
Owners: alexises
Branches: f13 f14
InitialCC:

Comment 13 Kevin Fenzi 2010-08-27 19:16:00 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2010-08-28 12:09:48 UTC
minion-0.10-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/minion-0.10-4.fc14

Comment 15 Fedora Update System 2010-08-28 12:27:27 UTC
minion-0.10-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/minion-0.10-4.fc13

Comment 16 Mamoru TASAKA 2010-08-30 16:57:55 UTC
Closing.

Comment 17 Fedora Update System 2010-09-10 03:25:08 UTC
minion-0.10-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-09-11 03:44:35 UTC
minion-0.10-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.